# Role : docker_ldapmanager


## Services fournis

- main.yml : Installation de ldapmanager sur un serveur docker_host
- configure_reverse_proxy.yml : Configuration d'un reverse proxy préalablement installé par le role reverse_proxy, avec restriction d'accès par compte ldap


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_ldapmanager_fqdn: ldapmanager.libretic.fr
docker_ldapmanager_data_dir: /data1
docker_ldapmanager_service_id: ldapmanager
docker_ldapmanager_ldap_server: mon-serveur-ldap.domaine.local
docker_ldapmanager_ldap_basedn: dc=domaine,dc=local
docker_ldapmanager_ldap_binddn: uid=compte-service-ldapmanager,ou=comptes-de-service,dc=domaine,dc=local
docker_ldapmanager_ldap_bindpwd: mdp_du_compte_de_service
docker_ldapmanager_ldap_users_ou: utilisateurs
docker_ldapmanager_ldap_group_admin: administrateurs-ldapmanager
docker_ldapmanager_ldap_groups_ou: groupes
docker_ldapmanager_email_domain: libretic.fr
docker_ldapmanager_organisation_name: LIBRETIC
docker_ldapmanager_site_name: Ldap Manager Libretic
docker_ldapmanager_mail_server: smtp.domaine.local
docker_ldapmanager_mail_from_address: nepasrepondre@libretic.fr
docker_ldapmanager_mail_from_name: Administrateur Libretic
docker_ldapmanager_mail_subject: Votre compte a été créé
docker_ldapmanager_mail_body: Corps du message
```

| Option                                              | Valeur par défaut                                                                                                 | Description                                                                                                                           |
|-----------------------------------------------------|-------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------|
| docker_ldapmanager_fqdn                             |                                                                                                                   | Le nom de domaine pour lequel le service ldapmanager répond                                                                           |
| docker_ldapmanager_data_dir                         |                                                                                                                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service                                                   |
| docker_ldapmanager_service_id                       |                                                                                                                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik                                             |
| docker_ldapmanager_ldap_server                      |                                                                                                                   | Adresse du serveur LDAP                                                                                                               |
| docker_ldapmanager_ldap_basedn                      |                                                                                                                   | DN de la racine                                                                                                                       |
| docker_ldapmanager_ldap_binddn                      |                                                                                                                   | DN du compte de service de connexion à l'annuaire LDAP                                                                                |
| docker_ldapmanager_ldap_bindpwd                     |                                                                                                                   | Mot de passe du compte de service de connexion à l'annuaire LDAP                                                                      |
| docker_ldapmanager_ldap_users_ou                    |                                                                                                                   | Nom de l'OU contenant les utilisateurs                                                                                                |
| docker_ldapmanager_ldap_group_admin                 |                                                                                                                   | Nom du groupe des administrateurs de ldapmanager                                                                                      |
| docker_ldapmanager_ldap_groups_ou                   |                                                                                                                   | Nom de l'OU contenant les les groupes                                                                                                 |
| docker_ldapmanager_email_domain                     |                                                                                                                   | Suffixe des adresses mail du domaine                                                                                                  |
| docker_ldapmanager_organisation_name                |                                                                                                                   | Nom de l'entité gérant l'annuaire LDAP - apparait dans le titre de l'application                                                      |
| docker_ldapmanager_site_name                        |                                                                                                                   | Nom du site - apparait dans le titre de l'application                                                                                 |
| docker_ldapmanager_username_format                  | {first_name}.{last_name}                                                                                          | Format par défaut pour proposer un login                                                                                              |
| docker_ldapmanager_mail_server                      |                                                                                                                   | Adresse du serveur smtp                                                                                                               |
| docker_ldapmanager_mail_from_address                |                                                                                                                   | Adresse mail émettrice des notifications                                                                                              |
| docker_ldapmanager_mail_from_name                   |                                                                                                                   | Nom associé à l'adresse mail émettrice des notifications                                                                              |
| docker_ldapmanager_mail_subject                     |                                                                                                                   | Titre des mails de notification                                                                                                       |
| docker_ldapmanager_mail_body                        |                                                                                                                   | Contenu des mails de notification (cf. doc ldap-user-manager pour macros et format                                                    |
| docker_ldapmanager_account_additional_objectclasses |                                                                                                                   | Si défini, ces objectclasses sont ajoutés aux objets des comptes d'utilisateurs, par exemple : "PostfixBookMailAccount,ownCloud"      |
| docker_ldapmanager_account_additional_attributes    |                                                                                                                   | Si défini, ces attributs sont proposés à la saisie dans ldapmanager, par exemple "mailQuota:mail Quota,ownCloudQuota:nextCloud Quota" |


# Premier démarrage

Cette méthode part de l'hypothèse que l'annuaire LDAP est créé vierge à partir du rôle docker_openldap.

* Vider l'annuaire de tous les objets à part la racine et la branche policies.
* Lancer le setup de ldapman (url /setup). Ldapmanager va créer l'arborescence et les objets nécessaires et un compte d'administration.


